Sign inGet started

Members

GET
/organizations/{organizationId}/teams/{teamId}/members
List the members of the team.
Abfrageparameter
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: active, invited, requested-to-join
Antwort-Payload
results
array of object
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.type
string
erforderlich
Possible values: user
results.status
string
erforderlich
Possible values: active, invited, requested-to-join
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/teams/{teamId}/members
Add a member to the team.
Anfrage-Payload
type
string
erforderlich
Possible values: user
id
string
erforderlich
Antwort-Payload
results
array of object
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.type
string
erforderlich
Possible values: user
results.status
string
erforderlich
Possible values: active, invited, requested-to-join
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
Codebeispiel
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Retrieve a single team member.
Antwort-Payload
id
string
erforderlich
type
string
erforderlich
Possible values: user
status
string
erforderlich
Possible values: active, invited, requested-to-join
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Remove a member from a team.
Codebeispiel
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'